defmodule MvWeb.PageControllerTest do
  use MvWeb.ConnCase, async: true

  test "renders home template successfully with authenticated user", %{conn: conn} do
    user = create_test_user(%{email: "test@example.com"})
    conn = conn_with_oidc_user(conn, user)
    conn = get(conn, "/")

    assert html_response(conn, 200)
  end
end
